Subject: Linux-Activists - DOC Channel digest. 93-4-2-2:18
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sun, 2 May 1993 07:43:33 +0300

Topics:
	 LPG topics

----------------------------------------------------------------------

From: [email-masked] (Zeyd M. Ben-Halim)
Subject: LPG topics
Date: Sun, 2 May 1993 05:14:10 +0300

I see that we have to define what does and does not belong in the LPG. The
name suggests it would be a guide to programming under the Linux operating
system. Its goal should be more of a tutorial rather than a reference.
mkj says he wants to cover the API, but there seems to be no agreement as
to what constitutes the API. I guess his definition of it as the functions
provided WITH Linux seems to be adequate.

The first step should be to collect a series of topics we would like to
have covered in the LPG. I'll fire the first shot and then duck :-)

1) terminal handling, converting from BSD sgtty to Linux termios.
2) unreliable singals vs. reliable signals including the use of
        _BSD_SIGNAL.
3) using the /proc file system.
4) utmp/wtmp handling and relation to init and login.
5) POSIX sessions and job control.
6) process creation and handling, including the various implementations
        of wait*.
7) sockets both AF_UNIX and AF_INET (client-server in general).
8) directory handling.
9) math.
10) time and date functions.
11) rpc.
12) ipc.
13) record locking.
14) psuedo-terminals.
15) async I/O when implemented.
16) memory mapped files (when fully implemented).
17) iostream-based stdio.
18) gcc features, switches, extensions, and inline assembler.
19) gdbm.
20) (n)curses.
21) ioctls.

Zeyd

------------------------------

End of DOC Digest
*****************
-------